require 'ztodo'

RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered = true
  config.filter_run :focus

  config.order = 'random'

  config.before(:all) do
    if Dir.exists?(Dir.pwd + '/tmp')
      @old_dir = Dir.pwd
      Dir.chdir (Dir.pwd + '/tmp')
    end
  end

  config.after(:all) do
    unless Dir.pwd == @old_dir
      Dir.chdir @old_dir      
    end
  end

  config.after(:each) do 
    File.delete(Dir.pwd+'/.todo') if File.exists?(Dir.pwd+'/.todo')
  end

end